Fix bootstrap script to support MacOS glibtoolize oddity.
authorzwelch <zwelch@b42882b7-edfa-0310-969c-e2dbd0fdcd60>
Wed, 13 May 2009 21:55:16 +0000 (21:55 +0000)
committerzwelch <zwelch@b42882b7-edfa-0310-969c-e2dbd0fdcd60>
Wed, 13 May 2009 21:55:16 +0000 (21:55 +0000)
git-svn-id: svn://svn.berlios.de/openocd/trunk@1779 b42882b7-edfa-0310-969c-e2dbd0fdcd60

bootstrap

index b49fda3244058bda5cb46d890baae3ecbb2ef44e..2e7b5329fb853bfec036e99d872bc54c426b3404 100755 (executable)
--- a/bootstrap
+++ b/bootstrap
@@ -1,8 +1,24 @@
-aclocal \
-&& autoheader \
-&& libtoolize --automake \
-&& automake --foreign --add-missing --copy \
-&& autoconf
+#!/bin/sh -e
+
+if libtoolize --version >/dev/null 2>&1; then
+       libtoolize="libtoolize"
+elif libtoolize --version >/dev/null 2>&1; then
+       libtoolize="glibtoolize"
+else
+       echo "libtool is required" >&2
+       exit 1
+fi
+
+# bootstrap the autotools
+(
+set -x
+aclocal
+autoheader
+${libtoolize} --automake --copy
+autoconf
+autoheader
+automake --foreign --add-missing --copy
+)
 
 # AM_MAINTAINER_MODE requires SVN users provide --enable-maintainer-mode
 # otherwise the documentation will fail to build due to missing version.texi

Linking to existing account procedure

If you already have an account and want to add another login method you MUST first sign in with your existing account and then change URL to read https://review.openocd.org/login/?link to get to this page again but this time it'll work for linking. Thank you.

SSH host keys fingerprints

1024 SHA256:YKx8b7u5ZWdcbp7/4AeXNaqElP49m6QrwfXaqQGJAOk gerrit-code-review@openocd.zylin.com (DSA)
384 SHA256:jHIbSQa4REvwCFG4cq5LBlBLxmxSqelQPem/EXIrxjk gerrit-code-review@openocd.org (ECDSA)
521 SHA256:UAOPYkU9Fjtcao0Ul/Rrlnj/OsQvt+pgdYSZ4jOYdgs gerrit-code-review@openocd.org (ECDSA)
256 SHA256:A13M5QlnozFOvTllybRZH6vm7iSt0XLxbA48yfc2yfY gerrit-code-review@openocd.org (ECDSA)
256 SHA256:spYMBqEYoAOtK7yZBrcwE8ZpYt6b68Cfh9yEVetvbXg gerrit-code-review@openocd.org (ED25519)
+--[ED25519 256]--+
|=..              |
|+o..   .         |
|*.o   . .        |
|+B . . .         |
|Bo. = o S        |
|Oo.+ + =         |
|oB=.* = . o      |
| =+=.+   + E     |
|. .=o   . o      |
+----[SHA256]-----+
2048 SHA256:0Onrb7/PHjpo6iVZ7xQX2riKN83FJ3KGU0TvI0TaFG4 gerrit-code-review@openocd.zylin.com (RSA)